aboutsummaryrefslogtreecommitdiff
path: root/test/python/install_additional_jupyterlab.sh
diff options
context:
space:
mode:
authorJP Ungaretti <19893438+jungaretti@users.noreply.github.com>2022-09-26 20:50:13 +0300
committerGitHub <noreply@github.com>2022-09-26 20:50:13 +0300
commit960f21c2c5bd9bf7dc053518dc11bd4bf021fa5f (patch)
tree5f89cb7214ccc5d087dc279aea73b9fc690c26b8 /test/python/install_additional_jupyterlab.sh
parent8c19bb1626c5e8b0b422b20ebf765e31fc200d26 (diff)
Fix additional Python and JupyterLab edge case (#182)
* Remove bloat from JupyterLab test * Check location of JupyterLab installation * Remove common-utils * Add failing additional with JL test * Fix Python feature * Update scenario images * Bump patch version
Diffstat (limited to 'test/python/install_additional_jupyterlab.sh')
-rw-r--r--test/python/install_additional_jupyterlab.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/python/install_additional_jupyterlab.sh b/test/python/install_additional_jupyterlab.sh
new file mode 100644
index 0000000..d48bb46
--- /dev/null
+++ b/test/python/install_additional_jupyterlab.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Always run these checks as the non-root user
+user="$(whoami)"
+check "user" grep vscode <<< "$user"
+
+# Check for an installation of JupyterLab
+check "version" jupyter lab --version
+
+# Check location of JupyterLab installation
+packages="$(python3 -m pip list)"
+check "location" grep jupyter <<< "$packages"
+
+# Check for correct JupyterLab configuration
+check "config" grep ".*.allow_origin = '*'" /home/vscode/.jupyter/jupyter_server_config.py
+
+# Report result
+reportResults